JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.LiveFormBase

Extends wm.Panel.
Defined in: LiveForm.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.LiveFormBase() Base class for wm.LiveForm.

Property Summary
Property Attributes | Property Name and Description
--- | ---
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
| dataOutput Data as modified by the form editors is available as dataOutput.
| dataSet The dataSet the LiveForm uses for source data.

Fields borrowed from class wm.Control:
  disabled, height, showing, width
Fields borrowed from class wm.Component:
  name, owner

Method Summary
Method Attributes | Method Name and Description
--- | ---
| clearData() Clear all editors.

Methods borrowed from class wm.Control:
  addUserClass, boundsResized, disable, enable, hide, removeUserClass, setDisabled, show, updateBounds
Methods borrowed from class wm.Component:
  constructor, createComponent, destroy, getId, getRuntimeId
Methods borrowed from class wm.Object:
  extendSchema, getPropertyType, getPropFlags, getValue, listDataProperties, listProperties, setValue, toString

Class Detail
wm.LiveFormBase()
Base class for wm.LiveForm.
Report errata or suggestions for LiveFormBase.
Property Detail
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
{Variable} dataOutput
Data as modified by the form editors is available as dataOutput.
Report errata or suggestions for dataOutput.

{Variable} dataSet
The dataSet the LiveForm uses for source data. Typically dataSet is bound to a grid's selectedItem (where the grid is showing the output of a liveVariable) or directly to a liveVariable. When dataSet uses a LiveView, LiveForm generates editors for each of the fields in its related liveView. When dataSet uses a LiveTable, a default view is created which contains all top level properties in the data type (not including composite key fields). Although it is possible to setup a LiveForm to do automatic CRUD operations when using a LiveTable, it's easiest to set up a LiveView instead.
Report errata or suggestions for dataSet.
Method Detail
clearData()
Clear all editors. As usual, the data clear is a change propagated via bindings. So, typically, dataOutput is cleared too.
Report errata or suggestions for clearData.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)